<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">



    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:paddingTop="20dp"
            android:paddingBottom="15dp"
            >

            <Button
                android:id="@+id/btnFind"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="寻卡" />

            <Button
                android:id="@+id/btnVerifyKeyA"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="KeyA验证" />
            <Button
                android:id="@+id/btnVerifyKeyB"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="KeyB验证" />


            <Button
                android:id="@+id/btnPending"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="挂起" />



        </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <Button
            android:id="@+id/btnReadblock"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="读卡" />

        <Button
            android:id="@+id/btnWrite"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="写卡" />

        <Button
            android:id="@+id/btnWriteBlocks"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="连续写卡"
            android:visibility="invisible"
            />

        <Button
            android:id="@+id/btnReadBlocks"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="连续读卡"
            android:visibility="invisible"
            />

    </LinearLayout>


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">
        <TextView
            android:id="@+id/tvBlock"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="块号"
            android:textSize="20dp"/>

        <EditText
            android:id="@+id/etBlock"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            style="@style/TextHexInput"
            android:text="12"
            >
        </EditText>

        <TextView
            android:layout_marginLeft="15dp"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="连续读写块数(不含秘钥块)"
            android:textSize="18dp"
            android:visibility="invisible"
            />

        <EditText
            android:id="@+id/etTestNums"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            style="@style/TextHexInput"
            android:text="16"
            android:visibility="invisible"
            >
        </EditText>

    </LinearLayout>


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:paddingBottom="15dp"
        >

        <TextView
            android:id="@+id/tvkey"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="KEY:  "
            android:textSize="20dp"/>

        <EditText
            android:id="@+id/etKey0"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="wrap_content"
            android:text="FF"
            style="@style/TextHexInput"
            android:gravity="center_horizontal" >
        </EditText>
        <EditText
            android:id="@+id/etKey1"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="wrap_content"
            style="@style/TextHexInput"
            android:text="FF"
            android:gravity="center_horizontal">
        </EditText>
        <EditText
            android:id="@+id/etKey2"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="wrap_content"
            style="@style/TextHexInput"
            android:text="FF"
            android:gravity="center_horizontal" >
        </EditText>
        <EditText
            android:id="@+id/etKey3"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="wrap_content"
            style="@style/TextHexInput"
            android:text="FF"
            android:gravity="center_horizontal" >
        </EditText>
        <EditText
            android:id="@+id/etKey4"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="wrap_content"
            style="@style/TextHexInput"
            android:text="FF"
            android:gravity="center_horizontal" >
        </EditText>
        <EditText
            android:id="@+id/etKey5"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="wrap_content"
            style="@style/TextHexInput"
            android:text="FF"
            android:gravity="center_horizontal" >
        </EditText>

    </LinearLayout>
        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="Data:   "
            android:textSize="20dp"/>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        >


        <EditText
            android:id="@+id/etWriteData0"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="wrap_content"
            android:gravity="center_horizontal"
            style="@style/TextHexInput"
            android:text="00"  >
        </EditText>
        <EditText
            android:id="@+id/etWriteData1"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="wrap_content"
            android:gravity="center_horizontal"
            style="@style/TextHexInput"
            android:text="01"  >
        </EditText>
        <EditText
            android:id="@+id/etWriteData2"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="wrap_content"
            android:gravity="center_horizontal"
            style="@style/TextHexInput"
            android:text="02"  >
        </EditText>
        <EditText
            android:id="@+id/etWriteData3"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="wrap_content"
            android:gravity="center_horizontal"
            style="@style/TextHexInput"
            android:text="03"  >
        </EditText>

        <EditText
            android:id="@+id/etWriteData4"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="wrap_content"
            android:gravity="center_horizontal"
            style="@style/TextHexInput"
            android:text="04"  >
        </EditText>
        <EditText
            android:id="@+id/etWriteData5"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="wrap_content"
            android:gravity="center_horizontal"
            style="@style/TextHexInput"
            android:text="05"  >
        </EditText>
        <EditText
            android:id="@+id/etWriteData6"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="wrap_content"
            android:gravity="center_horizontal"
            style="@style/TextHexInput"
            android:text="06"  >
        </EditText>
        <EditText
            android:id="@+id/etWriteData7"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="wrap_content"
            android:gravity="center_horizontal"
            style="@style/TextHexInput"
            android:text="07"  >
        </EditText>

    </LinearLayout>
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        >

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="Data:   "
            android:textSize="20sp"
            android:visibility="gone"/>

        <EditText
            android:id="@+id/etWriteData8"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="wrap_content"
            android:gravity="center_horizontal"
            style="@style/TextHexInput"
            android:text="08"  >
        </EditText>
        <EditText
            android:id="@+id/etWriteData9"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="wrap_content"
            android:gravity="center_horizontal"
            style="@style/TextHexInput"
            android:text="09"  >
        </EditText>
        <EditText
            android:id="@+id/etWriteData10"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="wrap_content"
            android:gravity="center_horizontal"
            style="@style/TextHexInput"
            android:text="0A"  >
        </EditText>
        <EditText
            android:id="@+id/etWriteData11"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="wrap_content"
            android:gravity="center_horizontal"
            style="@style/TextHexInput"
            android:text="0B"  >
        </EditText>

        <EditText
            android:id="@+id/etWriteData12"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="wrap_content"
            android:gravity="center_horizontal"
            style="@style/TextHexInput"
            android:text="0C"  >
        </EditText>
        <EditText
            android:id="@+id/etWriteData13"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="wrap_content"
            android:gravity="center_horizontal"
            style="@style/TextHexInput"
            android:text="0D"  >
        </EditText>
        <EditText
            android:id="@+id/etWriteData14"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="wrap_content"
            android:gravity="center_horizontal"
            style="@style/TextHexInput"
            android:text="0E"  >
        </EditText>
        <EditText
            android:id="@+id/etWriteData15"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="wrap_content"
            android:gravity="center_horizontal"
            style="@style/TextHexInput"
            android:text="0F"  >
        </EditText>

    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        >
        <TextView
            android:id="@+id/tvStatus"
            android:layout_width="0dp"
            android:layout_weight="1"
            android:layout_height="wrap_content"
            android:text="状态"
            android:textSize="18dp"
            android:layout_gravity="center_vertical"
            android:lines="3"
            />

        <Button
            android:id="@+id/btnClear"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="清空" />
    </LinearLayout>


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        android:orientation="vertical"
        >
        <ScrollView
            android:id="@+id/scrollMsg"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:layout_gravity="center_vertical"
            android:scrollbars="vertical" >

            <TextView
                android:id="@+id/tvMsg"
                android:layout_width="fill_parent"
                android:layout_height="match_parent"
                android:text=""
                android:textSize="15dp" />
        </ScrollView>

    </LinearLayout>



    <!--<LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">
        <Button
            android:id="@+id/btnFindCpu"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="寻CPU卡" />
        <Button
            android:id="@+id/btnFindPSAM"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="寻PSAM卡" />

        <Button
            android:id="@+id/btnUnloadPsam"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="卸载PSAM卡" />

    </LinearLayout>
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">
            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="APDU:"/>
            <EditText
                android:id="@+id/etAPDU"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:digits="0123456789abcdefABCDEF"
                android:text="0084000008"/>
        </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">
        <Button
            android:id="@+id/btnExeApdu"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="执行CPU apdu指令" />
        <Button
            android:id="@+id/btnExePsamApdu"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="执行PSAM apdu指令" />
    </LinearLayout>-->


    </LinearLayout>




</LinearLayout>
